.c-pulltorefresh {
  @extend %z-c-pulltorefresh;
  align-items: center;
  background-color: darkslategray;
  color: #fff;
  display: inline-flex;
  justify-content: center;
  min-height: 50px;
  pointer-events: none;
  position: fixed;
  text-align: center;
  top: 0;
  touch-action: none;
  width: 100%;
  // z-index: 5; // keep for dev


  &__status {
    display: block;
    height: 40px;
    width: 40px;
  }

  &.-has-height-transition {
    // background: tomato; // keep for dev
    transition: height 200ms ease-in-out;
  }

  .-is-up,
  .-is-down,
  .-is-loading {
    transition: transform 200ms ease-in-out;
    font-size: 24px;
    @extend %fontello;
  }

  .-is-up {
    &::before {
      content: '\F176';
    }
  }
  .-is-down {
    transform: rotate(180deg);
    &::before {
      content: '\F176';
    }
  }
  .-is-loading {
    @extend .animate-spin;
    &::before {
      content: '\e831';
    }
  }
}